> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/anlagenverwaltung/objekt-eigenschaften-anlage/dialog-benutzerdefinierte_programmaufrufe.md).

# Dialog - Third-party programs

Note

These program calls appear in all ACRON frontends under the "Modules" menu option, with the name specified by you.

This enables you to call up ACRON jobs very quickly and conveniently for example. You can also launch frequently used standard programs such as MS Excel or MS Word very quickly in this way. The settings are stored specific to plant.

#### Menu item

Unique name for the program call;

The program call is displayed under this name in the menu bar of the ACRON modules and on the Designer's menu ribbon.

#### Command line

Input or selection of the executable program file, e.g. `acjob.exe`, `excel.exe`.

#### Parameter

Input facility for optional parameters to run a program.

<details>

<summary></summary>

<table><thead><tr><th width="300"></th><th></th></tr></thead><tbody><tr><td>Command line</td><td><code>acjob.exe</code></td></tr><tr><td>Parameters</td><td><code>-pDemo -fTest</code></td></tr></tbody></table>

Executes the ACRON job from the 'Test' job folder on the 'Demo' plant.

<table><thead><tr><th width="300"></th><th></th></tr></thead><tbody><tr><td>Command line</td><td><code>C:\Program Files (x86)\Microsoft Office\EXCEL.EXE</code></td></tr><tr><td>Parameters</td><td><code>/r D:\Daten\Testsheet</code></td></tr></tbody></table>

Use Excel to open the file 'Testsheet' in the directory 'Data' on drive 'D: ' in read-only mode.

<table><thead><tr><th width="300"></th><th></th></tr></thead><tbody><tr><td>Command line</td><td><code>ACGraph.exe</code></td></tr><tr><td>Parameters</td><td><code>-pDemo -oMyDiagram</code></td></tr></tbody></table>

Opens in ACRON Graph on plant 'Demo' the diagram 'MyDiagram' for the standard user or - if Windows login is activated - for the logged in Windows user.

<table><thead><tr><th width="303"></th><th></th></tr></thead><tbody><tr><td>Command line</td><td><code>ACGraph.exe</code></td></tr><tr><td>Parameters</td><td><code>-pDemo -uMeier -oMyDiagram</code></td></tr></tbody></table>

Opens in ACRON Graph on plant 'Demo' for user 'xyz' the diagram 'MyDiagram'. For this it is required that "External call of all applications with login transfer" is activated for the user group of the user 'xyz'.

See also: Input of different [command line parameters](/acron-9.3/en/kzp_mit_parameter_starten.md) with various examples

</details>

#### Multiple start possible

Multiple instances of the program can be opened.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/anlagenverwaltung/objekt-eigenschaften-anlage/dialog-benutzerdefinierte_programmaufrufe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
